API referenceWhatsApp
POST /whatsapp/calls
Place a LIVE business-initiated call (needs calling enabled and the person's permission), or action send_call_permission_request to ask for it
POST
BearerAuthheader
AuthorizationBearer <token>API key sk_...
application/json- body
accountId*stringWhatsApp account id
to*stringaction?"send_call_permission_request"Value in
"send_call_permission_request"bodyText?stringforwardTo?stringrecordOverride?boolean{success, callId, status, direction, to, forwardTo, recordingEnabled}
application/json- response
success?booleancallId?stringtelnyxCallControlId?stringstatus?stringdirection?stringto?stringforwardTo?string|nullrecordingEnabled?booleanaction?stringmessageId?stringcurl -X POST 'https://example.com/api/v1/whatsapp/calls' \ -H 'Content-Type: application/json' \ -d '{ "accountId": "string", "to": "string"}'Example Response
{ "success": true, "callId": "string", "telnyxCallControlId": "string", "status": "string", "direction": "string", "to": "string", "forwardTo": "string", "recordingEnabled": true, "action": "string", "messageId": "string"}